Update measurement configuration
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mmmEnabled": true,
"mmmConfig": {
"provider": "measured",
"dataSourceIds": [
"ds_123",
"ds_456"
]
},
"brandLiftEnabled": true,
"settings": {}
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-config"
payload = {
"mmmEnabled": True,
"mmmConfig": {
"provider": "measured",
"dataSourceIds": ["ds_123", "ds_456"]
},
"brandLiftEnabled": True,
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mmmEnabled: true,
mmmConfig: {provider: 'measured', dataSourceIds: ['ds_123', 'ds_456']},
brandLiftEnabled: true,
settings: {}
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"measurementConfig": {
"advertiserId": "12345",
"mmmEnabled": true,
"brandLiftEnabled": true,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"mmmConfig": {
"provider": "measured",
"dataSourceIds": [
"ds_123",
"ds_456"
],
"reportingFrequency": "weekly"
},
"settings": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Measurement
Update measurement configuration
Update the measurement configuration for an advertiser.
PUT
/
advertisers
/
{advertiserId}
/
measurement-config
Update measurement configuration
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mmmEnabled": true,
"mmmConfig": {
"provider": "measured",
"dataSourceIds": [
"ds_123",
"ds_456"
]
},
"brandLiftEnabled": true,
"settings": {}
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-config"
payload = {
"mmmEnabled": True,
"mmmConfig": {
"provider": "measured",
"dataSourceIds": ["ds_123", "ds_456"]
},
"brandLiftEnabled": True,
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mmmEnabled: true,
mmmConfig: {provider: 'measured', dataSourceIds: ['ds_123', 'ds_456']},
brandLiftEnabled: true,
settings: {}
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"measurementConfig": {
"advertiserId": "12345",
"mmmEnabled": true,
"brandLiftEnabled": true,
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"mmmConfig": {
"provider": "measured",
"dataSourceIds": [
"ds_123",
"ds_456"
],
"reportingFrequency": "weekly"
},
"settings": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Body
application/json
Request body for updating measurement configuration
Response
Update measurement configuration
Response containing measurement configuration
Full measurement configuration for an advertiser
Show child attributes
Show child attributes